Loading...
Searching...
No Matches
BALL::Addition< First, Second, DataType > Class Template Reference

`#include <BALL/MATHS/function.h>`

## Public Member Functions

Constructors and destructor
| Addition ()
| Addition (const Addition< First, Second, DataType > &addition)
virtual | ~Addition ()
Assignment
Addition< First, Second, DataType > & | operator= (const Addition< First, Second, DataType > &addition)
Predicates
bool | operator== (const Addition< First, Second, DataType > &addition) const
Function realization
BALL_INLINE DataType | operator() (const DataType &x) const

## Accessors

First | first_
Second | second_
void | setFirst (const First &first)
First & | getFirst ()
const First & | getFirst () const
void | setSecond (const Second &second)
Second & | getSecond ()
const Second & | getSecond () const

## Detailed Description

template<typename First, typename Second, typename DataType = float>
class BALL::Addition< First, Second, DataType >

Addition class.

Definition at line 143 of file function.h.

## Constructor & Destructor Documentation

## Addition() [1/2]

template<typename First, typename Second, typename DataType>

BALL_INLINE BALL::Addition< First, Second, DataType >::Addition | ( |  | ) |

Default constructor

Definition at line 1031 of file function.h.

## Addition() [2/2]

template<typename First, typename Second, typename DataType>

BALL_INLINE BALL::Addition< First, Second, DataType >::Addition | ( | const Addition< First, Second, DataType > & | addition | ) |

Copy constructor

Definition at line 1039 of file function.h.

## ~Addition()

template<typename First, typename Second, typename DataType>

BALL_INLINE BALL::Addition< First, Second, DataType >::~Addition | ( |  | ) |

virtual

Destructor

Definition at line 1047 of file function.h.

## Member Function Documentation

## getFirst() [1/2]

template<typename First, typename Second, typename DataType = float>

First & BALL::Addition< First, Second, DataType >::getFirst | ( |  | ) |

inline

get the first argument of the addition

Returns
  a const reference to the first argument

Definition at line 213 of file function.h.

## getFirst() [2/2]

template<typename First, typename Second, typename DataType = float>

const First & BALL::Addition< First, Second, DataType >::getFirst | ( |  | ) | const

inline

Get the first argument of the addition (const version).

Definition at line 220 of file function.h.

## getSecond() [1/2]

template<typename First, typename Second, typename DataType = float>

Second & BALL::Addition< First, Second, DataType >::getSecond | ( |  | ) |

inline

get the second argument of the addition

Returns
  a const reference to the second argument

Definition at line 235 of file function.h.

## getSecond() [2/2]

template<typename First, typename Second, typename DataType = float>

const Second & BALL::Addition< First, Second, DataType >::getSecond | ( |  | ) | const

inline

Get the second argument of the addition (const version).

Definition at line 242 of file function.h.

## operator()()

template<typename First, typename Second, typename DataType = float>

BALL_INLINE DataType BALL::Addition< First, Second, DataType >::operator() | ( | const DataType & | x | ) | const

inline

Evaluation of this subterm

Parameters

  x | the point where to evaluate

Returns
  the function value

Definition at line 193 of file function.h.

## operator=()

template<typename First, typename Second, typename DataType>

BALL_INLINE Addition< First, Second, DataType > & BALL::Addition< First, Second, DataType >::operator= | ( | const Addition< First, Second, DataType > & | addition | ) |

Assignment operator

Definition at line 1053 of file function.h.

## operator==()

template<typename First, typename Second, typename DataType>

BALL_INLINE bool BALL::Addition< First, Second, DataType >::operator== | ( | const Addition< First, Second, DataType > & | addition | ) | const

Equality operator

Definition at line 1062 of file function.h.

## setFirst()

template<typename First, typename Second, typename DataType = float>

void BALL::Addition< First, Second, DataType >::setFirst | ( | const First & | first | ) |

inline

set the first argument of the addition

Definition at line 205 of file function.h.

## setSecond()

template<typename First, typename Second, typename DataType = float>

void BALL::Addition< First, Second, DataType >::setSecond | ( | const Second & | second | ) |

inline

set the second argument of the addition

Definition at line 227 of file function.h.

## Member Data Documentation

## first_

template<typename First, typename Second, typename DataType = float>

First BALL::Addition< First, Second, DataType >::first_

protected

Definition at line 253 of file function.h.

## second_

template<typename First, typename Second, typename DataType = float>

Second BALL::Addition< First, Second, DataType >::second_

protected

Definition at line 257 of file function.h.